package com.starbuds.server.api.app;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.context.ConfigurableApplicationContext;

import java.net.InetAddress;
import java.net.UnknownHostException;

/**
 * SpringBoot 入口
 *
 * @author Lay
 * @date 2019/11/29
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
@Slf4j
public class Application {
    public static void main(String[] args) {
        System.setProperty("app.name", "api-app");
        try {
            System.setProperty("file.encoding", "utf-8");
            System.setProperty("sun.jnu.encoding", "utf-8");

            System.setProperty("hostname", InetAddress.getLocalHost().getHostName());
        } catch (UnknownHostException e) {
            System.setProperty("hostname", System.getProperty("app.name"));
        }
        SpringApplication.run(Application.class, args);
        log.info("[api-app] started.");
        log.info("[service-app] version 20211009");

    }


}
