package com.starbuds.server.api.app.pojo.gift;

import com.starbuds.server.common.annotation.check.XyNotBlank;
import com.starbuds.server.common.annotation.check.XyNotNull;
import lombok.Data;

import javax.ws.rs.FormParam;

/**
 * 赠送礼物表单
 *
 * @author aoe
 * @date 2020/12/16
 */
@Data
public class SendGiftForm {

    /**
     * 目标用户 ID 多个英文逗号隔开
     */
    @XyNotBlank(msg = "请选择要赠送的用户")
    private @FormParam("userIds")
    String userIds;

    /**
     * 礼物 id
     */
    @XyNotNull(msg = "请选择礼物")
    private @FormParam("giftId")
    Long giftId;

    /**
     * 赠送礼物数量
     */
    @XyNotNull(msg = "请选择礼物数量")
    private @FormParam("quantity")
    Integer quantity;

    /**
     * 是否从背包赠送
     * true:从背包赠送 false:消耗钻石赠送
     */
    @XyNotNull(msg = "请选择是否从背包赠送")
    private @FormParam("isFromBag")
    Boolean isFromBag;
}
