package com.starbuds.server.api.app.pojo.rtc.singleRtc;

import com.starbuds.server.common.constant.rtc.RoomTypeEnum;
import lombok.Getter;

/**
 * @author laoliu
 * @date 2021/10/27 17:19
 * @description
 */
@Getter
public enum SingleRtcRoomPassEnum {

    /**
     * 通过
     */
    PASS(1, "通过"),

    /**
     * 未绑定手机
     */
    NO_PHONE(2, "未绑定手机"),

    /**
     * 未实名认证
     */
    NO_REAL(3, "未实名认证"),

    /**
     * 未加入家族
     */
    NO_FAMILY(4, "未加入家族"),

    /**
     * 其他原因
     */
    NO_REASON(5, "其他原因"),
    ;

    private int value;
    private String desc;

    SingleRtcRoomPassEnum(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public static SingleRtcRoomPassEnum toEnum(Integer value) {
        if (value == null || value < 0) {
            return null;
        }
        for (SingleRtcRoomPassEnum obj : SingleRtcRoomPassEnum.values()) {
            if (obj.getValue() == value) {
                return obj;
            }
        }
        return null;
    }
}
