package com.starbuds.server.api.app.provider;

import cn.hutool.crypto.SecureUtil;
import com.starbuds.server.common.constant.cache.RedisCacheKeys;
import com.starbuds.server.common.service.core.CacheService;
import org.apache.dubbo.config.annotation.Reference;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/3/6
 */
@Component
public class LimitProvider {
    @Reference(version = "1.0.0")
    CacheService cacheService;

    private static final Map<String, Long> API_DURATION_MAP = new HashMap<String, Long>() {{
        put("api-app/v1/gift/sendGift", 200L);
    }};

    public boolean isUserLimited(String api, Long userId) {
        Long duration = API_DURATION_MAP.get(api);
        if (duration != null) {
            return cacheService.setIfAbsent(RedisCacheKeys.getApiLimit(SecureUtil.md5(String.format("%s:%d", api, userId))), String.valueOf(System.currentTimeMillis()), duration, TimeUnit.MILLISECONDS);
        }
        return false;
    }
}
