package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.api.app.inf.PermitGuest;
import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;

/**
 * 周年纪念日接口
 *
 * @Author: lujiao
 * @Date: 2021/12/7 14:00
 */
public interface ActivityAnniversary {

    /**
     * 魅力花房排行
     *
     * @param activityId
     * @return
     */
    Result getFlowerRoomRank(Long activityId, Long subActivityId, Integer needDanger);


    /**
     * 获取活动信息
     *
     * @param activityId
     * @return
     */
    Result getActivityInfo(Long activityId);

    /**
     * 我的魅力花房排行信息
     *
     * @param activityId
     * @param roomId
     * @return
     */
    Result getMyselfFlowerRoomRank(Long activityId, Long roomId);

    /**
     * 魅力花房活动入口信息
     *
     * @param activityId
     * @return
     */
    Result getFlowerRoomRankInfo(Long activityId, Long roomId);

    /**
     * 风云人物/魅力人物入口信息
     *
     * @param activityId
     * @return
     */
    Result getInfluentialRankInfo(Long activityId, Integer rankType);

    /**
     * 风云人物/魅力人物排行榜
     *
     * @param activityId
     * @return
     */
    Result getInfluentialRank(Long activityId, Integer rankType);

    /**
     * 影响力排行榜
     *
     * @param activityId
     * @return
     */
    Result getMyInfluentialRank(Long activityId, Integer rankType);

    /**
     * 巅峰家族排行榜
     *
     * @param activityId
     * @return
     */
    Result getPeakFamilyRank(Long activityId);

    /**
     * 巅峰家族我的贡献信息
     *
     * @param activityId
     * @param userId
     * @return
     */
    Result getPeakFamilyPersonScore(Long activityId, Long userId);

    /**
     * 娱乐勋章-成长值
     *
     * @param userId
     * @return
     */
    Result getRecreationMedalPersonInfo(Long userId);

    /**
     * 偶像勋章-成长值
     *
     * @param userId
     * @return
     */
    Result getIdolMedalPersonInfo(Long userId);

    /**
     * 偶像勋章排行榜
     *
     * @return
     */
    Result getRecreationMedalPersonRankList();


    /**
     * 偶像勋章排行榜
     *
     * @return
     */
    Result getIdolMedalPersonRankList();
}
