package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 背包接口
 *
 * @author Lay
 * @date 2020/1/12
 */
public interface BagFacade {
    /**
     * 获取背包礼物列表
     *
     * @return
     */
    Result getGiftList();

    /**
     * 获取背包道具列表
     *
     * @param propsType
     * @return
     */
    Result getPropsList(Integer propsType);

    /**
     * 获取背包坐骑列表
     *
     * @return
     */
    Result getMountsList(Long userId);

    /**
     * 获取背包勋章列表
     *
     * @return
     */
    Result getMedalList();

    /**
     * 获取背包头饰列表
     *
     * @return
     */
    Result getHeadwearList(Long userId);

    /**
     * 获取背包聊天气泡列表
     *
     * @param userId
     * @return
     */
    Result getChatBubbleList(Long userId);

    /**
     * 获取道具数量
     *
     * @param propsType
     * @return
     */
    Result getPropsQuantity(int propsType);
}
