package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * PK 接口
 *
 * @author Lay
 * @date 2020/4/20
 */
public interface BattleFacade {
    /**
     * 邀请 pk
     *
     * @param userId
     * @return
     */
    Result invite(Long userId);

    /**
     * 取消邀请
     *
     * @param battleId
     * @return
     */
    Result inviteCancel(String battleId);

    /**
     * 决策邀请
     *
     * @param battleId
     * @param decision
     * @return
     */
    Result inviteDecide(String battleId, int decision);

    /**
     * 加入 pk 房间
     *
     * @param battleId
     * @return
     */
    Result joinBattleRoom(String battleId);

    /**
     * 结束 pk
     *
     * @param battleId
     * @return
     */
    Result closeBattle(String battleId);

    /**
     * 认输
     *
     * @param battleId
     * @return
     */
    Result surrenderBattle(String battleId);
}
