package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 虚拟币接口
 *
 * @author Lay
 * @date 2020/3/13
 */
public interface ChainFacade {
    /**
     * 获取账户列表
     *
     * @return
     */
    Result getAccounts();

    /**
     * 创建账户
     *
     * @param coinNet
     * @return
     */
    Result createAccount(String coinNet);

    /**
     * 获取币种列表
     *
     * @return
     */
    Result getVirtualCoinList();

    /**
     * 获取账户记录列表
     *
     * @param pageIndex
     * @param coinId
     * @param transType
     * @return
     */
    Result getAccountHisList(int pageIndex, Integer coinId, Integer transType);

    /**
     * 申请提币
     *
     * @param coinId
     * @param amount
     * @param toAddress
     * @return
     */
    Result applyWithdraw(Integer coinId, Long amount, String toAddress);
}
