package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 积分商城接口
 *
 * @author Lay
 * @date 2020/3/30
 */
public interface CoinShopFacade {

    /**
     * 获取商品列表
     *
     * @param pageIndex
     * @param categoryId
     * @return
     */
    Result getGoodsList(int pageIndex, Long categoryId);

    /**
     * 获取商品类目
     *
     * @return
     */
    Result getGoodsCategories();

    /**
     * 创建商品订单
     *
     * @param goodsId
     * @param quantity
     * @param userNo
     * @return
     */
    Result addGoodsOrder(Long goodsId, Integer quantity, Long userNo);

    /**
     * 获取订单列表
     *
     * @param pageIndex
     * @return
     */
    Result getGoodsOrderList(int pageIndex);
}
