package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.api.app.inf.PermitGuest;
import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.GET;
import javax.ws.rs.Path;

/**
 * 配置接口
 *
 * @author Lay
 * @date 2019/12/17
 */
public interface ConfigFacade {
    /**
     * 获取渠道初始化配置
     *
     * @return
     */
    Result getInitConfig();

    /**
     * 获取动效
     *
     * @return
     */
    Result getAnimations();

    /**
     * 获取举报原因
     *
     * @return
     */
    Result getReportReasons();

    /**
     * 获取礼物标签
     *
     * @return
     */
    Result getGiftTags();

    /**
     * 获取 Banner
     *
     * @param bannerPosition
     * @param categoryId
     * @return
     */
    Result getBanners(Integer bannerPosition, Long categoryId);

    /**
     * 获取金币类型名称
     *
     * @return
     */
    Result getCoinTypeNameMap();

    /**
     * 获取单聊评价标签
     *
     * @param tagType
     * @return
     */
    Result getSingleChatEvaluateTags(Integer tagType);

    /**
     * 获取用户标签
     *
     * @param tagType
     * @return
     */
    Result getUserTags(Integer tagType);

    /**
     * 获取兴趣标签
     *
     * @param tagType
     * @return
     */
    Result getHobbyTags(Integer tagType);

    /**
     * 获取海报图
     *
     * @return
     */
    Result getPosterImages();

    /**
     * 获取开屏广告
     *
     * @return
     */
    Result getOpenScreenBanners();

    /**
     * 获取语聊房壁纸列表
     *
     * @return
     */
    Result getRtcRoomBackgrounds(Long roomId);

    /**
     * 获取技能列表
     *
     * @return
     */
    Result getSkills();

    /**
     * 获取房间内 PK 配置
     *
     * @return
     */
    Result getBattleRoomInConfig();

    /**
     * 获取聊天气泡框列表
     *
     * @return
     */
    Result getBubbleList();

    /**
     * 获取勋章列表
     *
     * @return
     */
    Result getMedalList();

    /**
     * 获取活动勋章列表
     *
     * @return
     */
    Result getActivitiesMedalList();

    /**
     * 获取入口
     *
     * @return
     */
    Result getEntrances();

    /**
     * 获取挂件
     *
     * @return
     */
    Result getConfigWidget();

    /**
     * 获取世界消息列表
     *
     * @return
     */
    Result getRoomMsgTypes();

    /**
     * 获取首充入口
     *
     * @return
     */
    Result getFirstRechargeEntry();

    /**
     * 获取首充礼包档次数据
     *
     * @return
     */
    Result getFirstRechargePackageGrade();
}
