package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.api.app.pojo.CommentAddReq;
import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.feed.FeedGroupByDateVO;

import javax.ws.rs.FormParam;

/**
 * 内容接口
 *
 * @author aoe
 * @date 2020/5/27
 */
public interface FeedFacade {

    // /**
    //  * 默认文案列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result inputTextList(int index);
    //
    // /**
    //  * 身份列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result identityList(int index);
    //
    // /**
    //  * 频道列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result channelList(int index);
    //
    // /**
    //  * 话题列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result topicList(int index);
    //
    // /**
    //  * 创建专辑
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result createAlbum(int index);
    //
    // /**
    //  * 专辑列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result albumList(int index);
    //
    // /**
    //  * 互动权限列表
    //  *
    //  * @param index
    //  * @return
    //  */
    // Result InteractivePermissionList(int index);


    /**
     * 创建内容
     *
     * @param feedType      媒体类型
     * @param url           内容链接地址
     * @param feedTitle     标题（一句话心情）
     * @param feedCover     （视频）封面链接地址
     * @param feedContent   内容
     * @param feedLongitude 经度
     * @param feedLatitude  纬度
     * @param feedPosName   位置名称
     * @return
     */
    Result createFeed(Integer feedType, String url, String feedTitle, String feedCover, String feedContent,
                      Double feedLongitude, Double feedLatitude, String feedPosName, Integer photoWall);

    /**
     * 添加评论
     *
     * @param req
     * @return
     */
    Result addComment(CommentAddReq req);

    /**
     * 添加动作
     *
     * @param targetId
     * @param actionType
     * @param targetType
     * @return
     */
    Result addAction(Long targetId, Integer actionType, Integer targetType);

    /**
     * 获取相册
     *
     * @param lastId
     * @param userId
     * @return
     */
    Result getPhotoList(Long lastId, Long userId);

    /**
     * 获取视频
     *
     * @param lastId
     * @param userId
     * @return
     */
    Result getVideoList(Long lastId, Long userId);

    /**
     * 获取评论
     *
     * @param feedId
     * @param lastId
     * @return
     */
    Result getCommentList(Long feedId, Long lastId);

    /**
     * 删除内容
     *
     * @return
     */
    Result delFeed(Long feedId);

    /**
     * 获取视频
     *
     * @param lastId
     * @return
     */
    Result getVideoStreamList(Long lastId);

    /**
     * 添加查看
     *
     * @return
     */
    Result addViewCount(Long feedId);

    /**
     * 删除评论
     *
     * @param commentId
     * @return
     */
    Result delComment(Long commentId);

    /**
     * 获取子评论
     *
     * @param lastId
     * @param commentId
     * @return
     */
    Result getChildCommentList(Long lastId, Long commentId);

    /**
     * 获取视频（游客）
     *
     * @param lastId
     * @param userId
     * @return
     */
    Result getVideoListGuest(Long lastId, Long userId);

    /**
     * 获取内容详情（游客）
     *
     * @param feedId 内容Id
     * @return
     */
    Result getFeedDetailGuest(Long feedId);

    /**
     * 获取内容详情
     *
     * @param feedId 内容Id
     * @return
     */
    Result getFeedDetail(Long feedId);

    /**
     * 照片墙
     *
     * @param feedId
     * @param photoWall
     * @return
     */
    Result setPhotoWall(Long feedId, Integer photoWall);

    /**
     * 获取照片墙
     *
     * @param userId
     * @return
     */
    Result getPhotoWall(Long userId);

    /**
     * 获取内容按天分组分页列表
     *
     * @param userId
     * @param pageNum  当前页码
     * @param pageSize 分页大小
     * @return 分页对象
     */
    Result getFeedByDatePageList(Long userId, int pageNum, int pageSize);

    /**
     * 获取广场的动态列表
     *
     * @param pageNum
     * @param pageSize
     * @return
     */
    Result getSquareFeedList(Integer pageNum, Integer pageSize);

    /**
     * 点赞以及取消点赞
     *
     * @param feedId
     * @return
     */
    Result thumbsUp(Long feedId);

    /**
     * 获取咨询内容
     * @param infoId
     * @return
     */
    Result getFeedActivityInfo(@FormParam("infoId") Long infoId);

    /**
     * 获取
     *
     * @return
     */
    Result getFeedActivityInfoList();

    /**
     * 随机获取一个三天内发表过状态的关注的用户
     *
     * @return
     */
    Result getUserFollowName();
}
