package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 节假日活动接口
 *
 * @Author: lujiao
 * @Date: 2021/9/2 14:36
 */
public interface FestivalActivityFacade {

    /**
     * 获取中秋详情
     *
     * @param activityId
     * @return
     */
    Result getMiddleAutumnFestivalDetail(Long activityId);


    /**
     * 获取碎片拥有数量
     *
     * @param ids
     * @return
     */
    Result getGiftOwnNum(String ids);

    /**
     * 兑换碎片
     *
     * @param activityId
     * @param bagItemId
     * @return
     */
    Result composeByFragment(Long activityId, String bagItemId);

    /**
     * 兑换奖励
     *
     * @param activityId
     * @param collectId
     * @return
     */
    Result receiveActivityReward(Long activityId, String collectId);


    /**
     * 获取十一活动排行
     *
     * @param lotteryActivityIdId
     * @param activityId
     * @return
     */
    Result getOctoberRank(Long lotteryActivityIdId, Long activityId, Integer rankType);

    /**
     * 获取十一活动详情
     *
     * @param activityId
     * @param lotteryActivityIdId
     * @return
     */
    Result getOctoberDetail(Long lotteryActivityIdId, Long activityId, Integer rankType);
}
