package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 抽奖游戏接口
 *
 * @author aoe
 * @date 2021/11/22
 */
public interface LotteryGameFacade {

    /**
     * 查询抽奖游戏开奖结果-红包
     *
     * @param spanId
     * @return
     */
    Result getResultByRedBag(Long spanId);

    /**
     * 查询抽奖游戏开奖结果-瓜分蛋糕
     *
     * @param snapId
     * @return
     */
    Result getResultByDivideCake(Long snapId);

    /**
     * 获取抽奖游戏详情
     *
     * @param spanId
     * @return
     */
    Result getLotteryGameDetail(Long spanId);

    /**
     * 参与抽奖游戏-红包雨
     *
     * @param spanId
     * @return
     */
    Result joinLotteryGame(Long spanId, Long roomId);

    /**
     * 参与抽奖游戏-瓜分蛋糕
     *
     * @param snapId
     * @param roomId
     * @param quantity 消耗道具数量
     * @return
     */
    Result joinDivideCake(Long snapId, Long roomId, Integer quantity);

    /**
     * 获取正在进行中的抽奖活动
     *
     * @return
     */
    Result getLotteryGameList();

    /**
     * 获取背包中参与活动必备道具的数量
     *
     * @param snapId
     * @return
     */
    Result getPropsCountByBag(Long snapId);
}
