package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/8/3 15:29
 * @Description 音乐接口
 */
public interface MusicFacade {

    /**
     * 添加音乐
     *
     * @param musicName
     * @param musicSinger
     * @param musicUrl
     * @param original
     * @return
     */
    Result addMusic(String musicName,
                    String musicSinger,
                    String musicUrl,
                    Integer original);

    /**
     * 删除音乐
     *
     * @param musicIds
     * @return
     */
    Result delMusic(String musicIds);

    /**
     * 获取上传列表
     *
     * @param lastId
     * @param sceneType
     * @return
     */
    Result getUploadList(Long lastId, Integer sceneType);

    /**
     * 获取下载列表
     *
     * @param lastId
     * @return
     */
    Result getDownloadList(Long lastId);

    /**
     * 下载音乐
     *
     * @param musicId
     * @return
     */
    Result downloadMusic(Long musicId);

}
