package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 贵族接口
 *
 * @author Lay
 * @date 2020/3/4
 */
public interface NobleFacade {

    /**
     * 获取贵族价格
     *
     * @return
     */
    Result getNoblePrice();

    /**
     * 新开贵族
     *
     * @param nobleLevel
     * @return
     */
    Result newNoble(int nobleLevel);

    /**
     * 续费贵族
     *
     * @return
     */
    Result renewNoble(int times);

    /**
     * 升级贵族
     *
     * @param nobleLevel
     * @return
     */
    Result upgradeNoble(int nobleLevel);

    /**
     * 获取升级差价
     *
     * @param nobleLevel
     * @return
     */
    Result getUpgradeAmount(int nobleLevel);

    /**
     * 设置自动续费
     *
     * @param autoRenewal
     * @return
     */
    Result setAutoRenewal(int autoRenewal);
}
