package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.api.app.pojo.official.form.ForbiddenForm;
import com.starbuds.server.common.pojo.api.Result;

import javax.validation.Valid;
import java.io.IOException;

/**
 * 官方管理员操作
 */
public interface OfficialFacade {

    /**
     * 封禁方式列表
     *
     * @return
     */
    Result getForbiddenWayTypes();

    /**
     * 封禁时长列表
     *
     * @return
     */
    Result getForbiddenDurationTypes();

    /**
     * 封禁(禁言)
     *
     * @param form
     * @return
     */
    Result forbidden(@Valid ForbiddenForm form) throws IOException;

    /**
     * 重置昵称
     *
     * @param userId
     * @return
     * @throws IOException
     */
    Result resetUserName(Long userId) throws IOException;

    /**
     * 重置用户签名
     *
     * @param userId
     * @return
     * @throws IOException
     */
    Result resetUserSign(Long userId) throws IOException;

    /**
     * 重置用户头像
     *
     * @param userId
     * @return
     * @throws IOException
     */
    Result resetUserAvatar(Long userId) throws IOException;

    /**
     * 删除照片墙
     *
     * @param feedPhotoWallId
     * @param userId
     * @return
     */
    Result deletePhotoWall(Long feedPhotoWallId, Long userId) throws IOException;

    /**
     * 删除动态
     *
     * @param feedId
     * @return
     */
    Result deleteFeed(Long feedId) throws IOException;
}
