package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.FormParam;

/**
 * 支付接口
 *
 * @author Lay
 * @date 2019/12/18
 */
public interface PayFacade {
    /**
     * 创建支付订单
     *
     * @param orderId
     * @return
     */
    Result addPayOrder(Long orderId);

    /**
     * 创建支付订单
     *
     * @param orderId
     * @param openId
     * @return
     */
    Result addPayOrderGuest(Long orderId, String openId);

    /**
     * 创建h5支付订单
     *
     * @param orderId
     * @param openId
     * @return
     */
    Result addH5PayOrderGuest(@FormParam("orderId") Long orderId,
                              @FormParam("openId") String openId,
                              @FormParam("userId") String userId,
                              @FormParam("sign") String sign

    );

    /**
     * 创建 ApplePay 支付订单
     *
     * @param orderId
     * @param transactionId
     * @param receiptData
     * @return
     */
    Result addApplePayOrder(Long orderId, String transactionId, String receiptData);

    /**
     * 获取支付状态
     *
     * @param orderId
     * @return
     */
    Result getPayStatus(Long orderId);

    /**
     * 加入主播粉丝团
     *
     * @param anchorUserId
     * @return
     */
    Result forJoinFansTeam(Long anchorUserId);


}
