package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 排行接口
 *
 * @author Lay
 * @date 2020/3/1
 */
public interface RankFacade {
    /**
     * 获取积分小时榜
     *
     * @param scoreType
     * @return
     */
    Result getScoreHourly(int scoreType);

    /**
     * 获取积分日榜
     *
     * @param scoreType
     * @return
     */
    Result getScoreDaily(int scoreType);

    /**
     * 获取积分周榜
     *
     * @param scoreType
     * @return
     */
    Result getScoreWeekly(int scoreType);

    /**
     * 获取积分月榜
     *
     * @param scoreType
     * @return
     */
    Result getScoreMonthly(int scoreType);

    /**
     * 获取热爱榜数据
     *
     * @param type   -1:昨天 1:今天
     * @param userId 用户id（null:自己）
     * @return
     */
    Result getHotLoveLeaderboardList(int type, Long userId);

    /**
     * 获取周星榜日榜
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankDay(Long giftId);

    /**
     * 获取周星榜周榜
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankWeek(Long giftId);

    /**
     * 获取周星榜月榜
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankMonth(Long giftId);

    /**
     * 获取周星榜日榜  上一期
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankDayPrevious(Long giftId);

    /**
     * 获取周星榜周榜  上一期
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankWeekPrevious(Long giftId);

    /**
     * 获取周星榜月榜  上一期
     *
     * @param giftId
     * @return
     */
    Result getGiftWeekStarRankMonthPrevious(Long giftId);

    /**
     * 获取壕星榜日榜
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankDay(Long giftId);

    /**
     * 获取壕星榜周榜
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankWeek(Long giftId);

    /**
     * 获取壕星榜月榜
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankMonth(Long giftId);


    /**
     * 获取壕星榜日榜  上期
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankDayPrevious(Long giftId);

    /**
     * 获取壕星榜周榜  上期
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankWeekPrevious(Long giftId);

    /**
     * 获取壕星榜月榜  上期
     *
     * @param giftId
     * @return
     */
    Result getGiftRichStarRankMonthPrevious(Long giftId);

    /**
     * 获取礼物真爱榜
     *
     * @param giftId
     * @return
     */
    Result getTrueLoveGiftRank(Long giftId);

    /**
     * 获取欧气榜
     *
     * @return
     */
    Result getGiftAirRank();

    /**
     * 获取语音房小时榜
     *
     * @return
     */
    Result getRtcHourRank();

    /**
     * 条件查询N条语聊房小时榜
     *
     * @param momentType 是否是当前时刻 1：当前时刻 0：过去小时榜
     * @return
     */
    Result getConditionRtcHourRank(Integer momentType);

    /**
     * 获取pk擂台榜
     *
     * @return
     */
    Result getRtcBattleRank();

}
