package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.FormParam;

/**
 * 充值接口
 *
 * @author Lay
 * @date 2019/12/17
 */
public interface RechargeFacade {
    /**
     * 获取金币充值项目
     *
     * @return
     */
    Result getCoinRechargeItems();

    /**
     * 获取金币充值项目
     *
     * @return
     */
    Result getCoinRechargeItemsGuest();

    /**
     * 创建金币充值订单
     *
     * @param itemId
     * @return
     */
    Result addCoinRechargeOrder(String itemId);

    /**
     * 创建金币充值订单
     *
     * @param itemId
     * @param userId
     * @return
     */
    Result addCoinRechargeOrderGuest(String itemId, Long userId);

    /**
     * 创建h5金币充值订单
     *
     * @param itemId
     * @param userId
     * @param loginUserId
     * @param sign
     * @return
     */
    Result addH5CoinRechargeOrderGuest(@FormParam("itemId") String itemId,
                                       @FormParam("userId") Long userId,
                                       @FormParam("loginUserId") String loginUserId,
                                       @FormParam("sign") String sign
    );

    /**
     * 获取今日充值
     *
     * @return
     */
    Result getTodayRecharge();


}
