package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.rtc.qo.RtcSkillOrderPageListQO;

/**
 * @author laoliu
 * @date 2021/8/17 15:08
 * @description 派单接口
 */
public interface RtcSkillOrderFacade {

    /**
     * 获取服务技能
     *
     * @return
     */
    Result getSkills();

    /**
     * 提交派单
     *
     * @return
     */
    Result addOrder(Long skillId, Long roomId, Integer gender, Long price, Integer quantity, String desc, Long bossUserId);

    /**
     * 接单大厅数量
     *
     * @return
     */
    Result getOrderListCount();

    /**
     * 接单大厅列表
     *
     * @return
     */
    Result getOrderList(RtcSkillOrderPageListQO pageListQO);

    /**
     * 在线派单列表
     *
     * @return
     */
    Result getOrderListInRoom(RtcSkillOrderPageListQO pageListQO);

    /**
     * 获取接单用户列表
     *
     * @return
     */
    Result getServiceUserList(Long roomId, Long orderId);

    /**
     * 结束派单
     *
     * @return
     */
    Result finishOrder(Long serviceUserId, Long orderId);

    /**
     * 订单详情
     *
     * @return
     */
    Result getOrderDetails(Long orderId);

    /**
     * 获取房间派单记录
     *
     * @return
     */
    Result getHistoryListInRoom(RtcSkillOrderPageListQO pageListQO);

    /**
     * 获取个人派单记录
     *
     * @return
     */
    Result getHistoryList(RtcSkillOrderPageListQO pageListQO);

    /**
     * 关闭派单
     *
     * @return
     */
    Result closeOrder(Long orderId);

    /**
     * 获取房间内订单数量
     *
     * @param roomId
     * @return
     */
    Result getOrderInRoomCount(Long roomId);
}
