package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 守护的接口
 *
 * @Author lujiao
 * @DateTime 2021/7/23 14:57
 * @Description
 */
public interface WatchFacade {

    /**
     * 获取守护列表
     *
     * @return
     */
    Result getWatchConfigList();

    /**
     * 获取守护列表 顺便返回之前是否开通
     *
     * @param targetId
     * @return
     */
    Result getWatchConfigWithRelation(Long targetId);

    /**
     * 开通守护
     *
     * @param targetId
     * @param watchConfigId
     * @return
     */
    Result newWatchRelationByDiamond(Long targetId, Long watchConfigId);

    /**
     * 获取即将过期守护
     *
     * @return
     */
    Result getLimitWatch();

    /**
     * 获取守护列表
     *
     * @param targetUserId
     * @param pageIndex
     * @param pageSize
     * @return
     */
    Result getUserWatchRelation(Long targetUserId, Integer pageIndex, Integer pageSize);

    /**
     * 陪伴榜单
     *
     * @param targetId
     * @return
     */
    Result getIntimacyRank(Long targetId);


    /**
     * 获取历史胜利者
     *
     * @param pageIndex
     * @param pageSize
     * @return
     */
    Result getHistoryWinner(int pageIndex, int pageSize);


    /**
     * 获取上周排行
     *
     * @return
     */
    Result getLastWeekTopWatchIntimacy();

    /**
     * 获取上周获胜者
     *
     * @return
     */
    Result getLastWeekWinner();

    /**
     * 获取本周排行
     *
     * @return
     */
    Result getWeekTopWatchIntimacy();

    /**
     * 关系墙记录
     *
     * @return
     */
    Result getWatchWallHis(Integer pageIndex, Integer pageSize);

    /**
     * 获取最新一条守护记录
     *
     * @return
     */
    Result getLastWatchWallRecord();

    /**
     * 广播墙
     *
     * @return
     */
    Result getBroadWallHis(Integer pageIndex, Integer pageSize);
}
