package com.starbuds.server.api.app.v1.facade;

import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.util.PageQO;

import javax.ws.rs.BeanParam;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.QueryParam;


/**
 * @author laoliu
 * @date 2021/10/19 11:22
 * @description 许愿接口
 */
public interface WishFacade {

    /**
     * 获取个人许愿列表
     *
     * @return
     */
    Result getWishList();

    /**
     * 获取个人开启的许愿任务
     *
     * @param userId
     * @return
     */
    Result getWishOpenedDetail(Long userId);

    /**
     * 设置心愿任务开关
     *
     * @return
     */
    Result setWishTaskSwitch(Long wishTaskId, Integer status);


    /**
     * 获取个人许愿完成的列表
     *
     * @return
     */
    Result getWishCompleteList(PageQO qo);

}
