package com.starbuds.server.api.app.v2.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.starbuds.server.api.app.inf.PermitGuest;
import com.starbuds.server.api.app.v2.facade.RtcFacadeV2;
import com.starbuds.server.api.app.v1.impl.RtcBaseFacade;
import com.starbuds.server.common.constant.data.ConfigBusinessDictEnum;
import com.starbuds.server.common.constant.rtc.RtcBusinessTypeEnum;
import com.starbuds.server.common.pojo.api.MutableResult;
import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.db.RtcRecommendDO;
import com.starbuds.server.common.pojo.rtc.RtcRankItem;
import com.starbuds.server.common.pojo.rtc.RtcRoomListItem;
import com.starbuds.server.common.service.data.ConfigBusinessDictService;
import com.starbuds.server.common.service.rtc.RtcRecommendService;
import com.starbuds.server.common.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Reference;
import org.apache.dubbo.rpc.protocol.rest.support.ContentType;
import org.junit.platform.commons.util.StringUtils;
import org.springframework.stereotype.Component;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import java.util.List;

/**
 * RTC V2接口实现
 *
 * @author lujiao
 * @date 2022/1/10 16:59
 */
@Path("/v2/rtc")
@Produces(ContentType.APPLICATION_JSON_UTF_8)
@Component
@Slf4j
public class RtcFacadeV2Impl extends RtcBaseFacade implements RtcFacadeV2 {

    @Reference(version = "1.0.0")
    RtcRecommendService rtcRecommendService;

    @Reference(version = "1.0.0")
    ConfigBusinessDictService configBusinessDictService;

    /**
     * 获取热门房间列表
     *
     * @return
     */
    @GET
    @Path("getHotRoomList")
    @PermitGuest
    @Override
    public Result getHotRoomList(@QueryParam("businessType") Integer businessType) {
        log.info("getHotRoomListgetHotRoomListgetHotRoomListgetHotRoomListgetHotRoomListgetHotRoomList");

        MutableResult mResult1 = new MutableResult();

        return mResult1.build();

//        MutableResult mResult = new MutableResult();
//
//        if (businessType == null) {
//            businessType = RtcBusinessTypeEnum.RTC_NORMAL.getValue();
//        }
//
//        MutableResult mResult = new MutableResult();
//        Long hourDate = DateUtil.getLastIntHourDate();
//        String durationStr = configBusinessDictService.getConfigDictValue(ConfigBusinessDictEnum.HOUR_TOP_SHOW_DURATION);
//        Long duration = 0L;
//        if (StringUtils.isNotBlank(durationStr)) {
//            duration = Long.valueOf(durationStr);
//        }
//        duration = duration * 60 * 1000;
//        Long currentHour = DateUtil.getCurrentHour();
//        Long now = System.currentTimeMillis();
//        RtcRankItem winner;
//        if (currentHour + duration > now) {
//            winner = rtcRankService.getRtcHourRankWinner(hourDate);
//            if (winner != null) {
//                winner.setStandardText("小时榜冠军 ");
//            }else{
//                RtcRecommendDO rtcRecommendDO = rtcRecommendService.getRecommend();
//                winner = translateItem(rtcRecommendDO);
//            }
//        } else {
//            RtcRecommendDO rtcRecommendDO = rtcRecommendService.getRecommend();
//            winner = translateItem(rtcRecommendDO);
//        }
//        List<RtcRoomListItem> res = rtcRoomService.getHotRoomList(9, businessType, winner);
//        if (CollectionUtil.isNotEmpty(res) && winner != null) {
//            res.get(0).setStandardText(winner.getStandardText());
//            res.get(0).setRoomName(winner.getRoomName());
//        }
//        mResult.put("list", res);
//        return mResult.build();
    }

    private RtcRankItem translateItem(RtcRecommendDO rtcRecommendDO) {
        if (rtcRecommendDO != null) {
            RtcRankItem res = new RtcRankItem();
            res.setRoomId(rtcRecommendDO.getRoomId());
            res.setRoomName(rtcRecommendDO.getReason());
            res.setStandardText(rtcRecommendDO.getStandardText());
            return res;
        }
        return null;
    }


}
