package com.starbuds.apichannel;


import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyResultTools.*;

/**
 * 渠道异步通知配置控制器测试
 */
@Slf4j
public class ChannelNotifyConfigFacadeTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test(priority = 13)
    public void updateTest() throws IOException {
        String action = "api-channel/v1/channel/notify/cfg/update";
        Map<String, String> params = new HashMap<>();
        params.put("hostUrl", "主机地址");
        params.put("apiNo", "10");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test
    public void getInfoTest() throws IOException {
        String action = "api-channel/v1/channel/notify/cfg/getInfo";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("apiNo", "10");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void existTest() throws IOException {
        String action = "api-channel/v1/channel/notify/cfg/exist";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getPageListTest() throws IOException {
        String action = "api-channel/v1/channel/notify/cfg/getPageList";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("pageIndex", "1");
        params.put("pageSize", "10");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

}