package com.starbuds.apichannel;


import cn.hutool.core.date.DateUtil;
import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyResultTools.*;

/**
 * 渠道异步通知记录控制器测试
 */
@Slf4j
public class ChannelNotifyHisFacadeTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test(priority = 10)
    public void createTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/create";
        Map<String, String> params = new HashMap<>();
        params.put("traceId", DateUtil.now());
        params.put("channelId", "0");
        params.put("apiNo", "0");
        params.put("notifyUrl", "通知url");
        params.put("notifyData", "通知数据");
        params.put("notifyTimes", "0");
        params.put("isSuccess", "0");
        params.put("response", "响应结果");
        params.put("resIsSuccess", "0");
        params.put("callDuration", "0");
        params.put("createTime", "0");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test(priority = 13)
    public void updateTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/update";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "0");
        params.put("traceId", "0");
        params.put("channelId", "0");
        params.put("apiNo", "0");
        params.put("notifyUrl", "通知url");
        params.put("notifyData", "通知数据");
        params.put("notifyTimes", "0");
        params.put("isSuccess", "0");
        params.put("response", "响应结果");
        params.put("resIsSuccess", "0");
        params.put("callDuration", "0");
        params.put("createTime", "0");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test
    public void getInfoTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/getInfo";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void existTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/exist";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getPageListTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/getPageList";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("pageIndex", "1");
        params.put("pageSize", "10");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    // 重发通知消息
    @Test
    public void resendNotificationTest() throws IOException {
        String action = "api-channel/v1/channel/notify/his/resendNotification";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "196949902884865");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

}