package com.starbuds.apichannel;


import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyResultTools.*;

/**
 * 渠道发红包记录控制器测试
 */
@Slf4j
public class ChannelRedEnvelopeHisFacadeTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
//        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test(priority = 10)
    public void createTest() throws IOException {
        String action = "api-channel/v1/channel/red/env/create";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "0");
        params.put("channelId", "0");
        params.put("tradeId", "第三方交易id");
        params.put("coinType", "0");
        params.put("totalAmount", "0");
        params.put("detail", "兑换列表明细");
        params.put("status", "0");
        params.put("ip", "调用方IP");
        params.put("createTime", "0");
        params.put("updateTime", "0");
        params.put("traceId", "0");
        params.put("remark", "备注");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test(priority = 13)
    public void updateTest() throws IOException {
        String action = "api-channel/v1/channel/red/env/update";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "0");
        params.put("channelId", "0");
        params.put("tradeId", "第三方交易id");
        params.put("coinType", "0");
        params.put("totalAmount", "0");
        params.put("detail", "兑换列表明细");
        params.put("status", "0");
        params.put("ip", "调用方IP");
        params.put("createTime", "0");
        params.put("updateTime", "0");
        params.put("traceId", "0");
        params.put("remark", "备注");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test
    public void getInfoTest() throws IOException {
        String action = "api-channel/v1/channel/red/env/getInfo";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void existTest() throws IOException {
        String action = "api-channel/v1/channel/red/env/exist";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getPageListTest() throws IOException {
        String action = "api-channel/v1/channel/red/env/getPageList";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("pageIndex", "1");
        params.put("pageSize", "10");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

}

// 渠道管理平台-渠道钱包-渠道钱包管理-充值  验证：星芽测试-数据统计-统计-【渠道预充值金额、增加星钻】
// 渠道管理平台-渠道钱包-红包管理-发红包   验证：星芽测试-数据统计-统计-【增加星钻、增加星钻（渠道红包）】；渠道管理平台-渠道钱包-渠道钱包管理-钱包总额