package com.starbuds.apichannel;


import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;
import static com.starbuds.test.utils.XyResultTools.getParamStr;

/**
 * 渠道钱包控制器测试
 */
@Slf4j
public class ChannelWalletFacadeTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test(priority = 10)
    public void createTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/create";
        Map<String, String> params = new HashMap<>();
//        params.put("chWalletId", "0");
        params.put("channelId", "3");
        params.put("type", "0");
        params.put("balance", "0");
        params.put("createTime", "0");
        params.put("updateTime", "0");
        params.put("version", "0");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test(priority = 13)
    public void updateTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/update";
        Map<String, String> params = new HashMap<>();
        params.put("chWalletId", "185972394295296");
        params.put("channelId", "22");
        params.put("type", "20");
        params.put("balance", "20");
        params.put("createTime", "20");
        params.put("updateTime", "20");
        params.put("version", "20");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test
    public void getInfoTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/getInfo";
        Map<String, String> params = new LinkedHashMap<>();

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void existTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/exist";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "185972394295296");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getPageListTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/getPageList";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("pageIndex", "1");
        params.put("pageSize", "10");
//        params.put("chWalletId", "10");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    // 充值（星钻到渠道钱包）
    @Test(priority = 10)
    public void rechargeTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/recharge";
        Map<String, String> params = new HashMap<>();
        params.put("amount", "10000");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    // 查询渠道充值订单支付状态
    @Test
    public void getPayStatusTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/getPayStatus";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("orderId", "194764142018560");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    // 发星钻红包
    @Test(priority = 10)
    public void sendDiamondTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/sendDiamond";
        Map<String, String> params = new HashMap<>();
        params.put("userNo", "10878114");
        params.put("amount", "899");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }
}