package com.starbuds.apichannel;


import com.starbuds.login.ChannelLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.*;
import static com.starbuds.test.utils.XyResultTools.*;

/**
 * 渠道钱包变更记录控制器测试
 */
@Slf4j
public class ChannelWalletHisFacadeTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
//        HOST = HOST_CHANNEL_TEST_ALY;

        XyHttpTools.pkgType = PKG_TYPE_ADMIN;
        try {
            ChannelLoginTest.saveLoginToken(HOST);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test(priority = 10)
    public void createTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/his/create";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "0");
        params.put("chWalletId", "0");
        params.put("channelId", "0");
        params.put("walletType", "0");
        params.put("businessType", "0");
        params.put("balanceOld", "0");
        params.put("balanceValue", "0");
        params.put("balanceNew", "0");
        params.put("remark", "备注");
        params.put("traceId", "0");
        params.put("createTime", "0");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test(priority = 13)
    public void updateTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/his/update";
        Map<String, String> params = new HashMap<>();
        params.put("hisId", "0");
        params.put("chWalletId", "0");
        params.put("channelId", "0");
        params.put("walletType", "0");
        params.put("businessType", "0");
        params.put("balanceOld", "0");
        params.put("balanceValue", "0");
        params.put("balanceNew", "0");
        params.put("remark", "备注");
        params.put("traceId", "0");
        params.put("createTime", "0");

        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    @Test
    public void getInfoTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/his/getInfo";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void existTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/his/exist";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("id", "1");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getPageListTest() throws IOException {
        String action = "api-channel/v1/channel/wallet/his/getPageList";
        Map<String, String> params = new LinkedHashMap<>();
        params.put("pageIndex", "1");
        params.put("pageSize", "10");
//        params.put("startTime", "1598371200000");
//        params.put("endTime", "1598457599999");

        String paramsStr = getParamStr(params);
        action += paramsStr;

        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

}