package com.starbuds.apichannel.pojo;

import com.starbuds.server.common.annotation.check.XyNotBlank;
import com.starbuds.server.common.annotation.check.XyNotNull;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.ws.rs.FormParam;
import java.util.List;

/**
 * 兑换星芽货币
 *
 * @author aoe
 * @date 2020/8/17
 */
@Data
public class OpenApiExchangeCoinForm {

    /**
     * 渠道id
     */
    @XyNotNull(msg = "channelId不能为空")
    @FormParam("channelId")
    private Long channelId;

    /**
     * 第三方交易id
     */
    @XyNotBlank(msg = "tradeId不能为空")
    @Length(max = 100, message = "tradeId最大长度100个字符")
    @FormParam("tradeId")
    private String tradeId;

    /**
     * 兑换道具货币类型 11:星钻
     */
    @XyNotNull(msg = "coinType不能为空")
    @FormParam("coinType")
    private Integer coinType;

    /**
     * 兑换列表明细
     */
    @XyNotNull(msg = "detailList不能为空")
    @FormParam("detailList")
    private List<ExchangeDetail> detailList;

    /**
     * 签名
     */
    @XyNotBlank(msg = "sign不能为空")
    @FormParam("sign")
    private String sign;
}
