package com.starbuds.apinotify;

import cn.hutool.http.HttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.testng.Assert;
import org.testng.annotations.Test;

import static com.starbuds.test.utils.XyHttpTools.HOST_API_COMMON_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;

/**
 * 游戏Dev接口测试
 *
 * @author aoe
 * @date 2020/6/24
 */
@Slf4j
public class GameDevFacadeTest {

    private static String HOST = HOST_API_COMMON_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
    }

    /**
     * 接收游戏币订单处理状态
     */
    @Test
    public void receiveOrderStatusTest() {
        String action = "api-notify/v1/gamedev/openapi";
        String body = "{\"appid\":\"8da954c1-e43e-4c00-b7f7-882e8caafe5b\",\"platform\":\"BBIN\",\"player_name\":\"test20200723\",\"player_password\":\"123456\",\"ts\":\"2020-07-23 05:01:30\",\"sign\":\"5f17bab62d197730ee672d30\",\"tran_type\":\"1\",\"amount\":\"1\",\"order_no\":\"1600320328\",\"result\":\"1\"}";
        String res = HttpUtil.post(HOST + action, body);
        Assert.assertEquals(res, "success");
    }
}

/*
curl --header "Content-Type: application/json" \
  --request POST \
  --data '{"appid":"10001001","data":{"game_id":"游戏id","game_name":"游戏名称","groupCode":"游戏组","period":"开奖期号","winno":"开奖号码"},"method":"winno_notify","sign":"签名","timestamp":1601187557253}' \
  http://api.panygo.com/api-notify/v1/gamedev/openapi -t utf-8

  curl --header "Content-Type: application/json" \
  --request POST \
  --data '{"code":"OK","data":{"endIndex":0,"nextIndex":0,"pageCount":1,"pageIndex":1,"pageSize":10,"previousIndex":0,"startIndex":0,"totalCount":1,"items":[{"gameName":"1分时时彩","orderNo":"JS200925089770317A","betAmount":"1.00","gameId":"JSFFC","status":"005","bettingTime":"1601016995000"}]},"msg":"","success":true}' \
  http://api.panygo.com/api-notify/v1/gamedev/openapi -t utf-8
*/
