package com.starbuds.apinotify;

import cn.hutool.http.HttpUtil;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import static com.starbuds.test.utils.XyHttpTools.HOST_API_COMMON_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * 游戏接口测试
 *
 * @author aoe
 * @date 2020/6/24
 */
@Slf4j
public class GameFacadeTest {

    private static String HOST = HOST_API_COMMON_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
    }

    /**
     * 接收游戏币订单处理状态
     */
    @Test
    public void receiveOrderStatusTest() {
        String action = "api-notify/v1/game/receiveOrderStatus";
        String body = "{\"appid\":\"8da954c1-e43e-4c00-b7f7-882e8caafe5b\",\"platform\":\"BBIN\",\"player_name\":\"test20200723\",\"player_password\":\"123456\",\"ts\":\"2020-07-23 05:01:30\",\"sign\":\"5f17bab62d197730ee672d30\",\"tran_type\":\"1\",\"amount\":\"1\",\"order_no\":\"1600320328\",\"result\":\"1\"}";
        String res = HttpUtil.post(HOST + action, body);
        checkSuccess(res);
    }
}
