package com.starbuds.login;

import com.alibaba.fastjson.JSONObject;
import com.starbuds.test.utils.FileTools;
import com.starbuds.test.utils.OkHttpTools;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_CHANNEL_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_CHANNEL_TEST_ALY;

/**
 * @author aoe
 * @date 2020/6/4
 */
@Slf4j
public class ChannelLoginTest {

    private static String HOST = HOST_CHANNEL_DEV;

    static {
        HOST = HOST_CHANNEL_TEST_ALY;
    }

    @Test
    public void loginTest() throws IOException {
        saveLoginToken(HOST);
    }

    public static void saveLoginToken(String host) throws IOException {
        String token = login(host);

        log.info("TOKEN = " + token);
        FileTools.writeToFile(FileTools.getTestResourcesFilePath("Login-TOKEN.txt"), Arrays.asList(token));
    }

    public static String getManageLoginToken() {
        List<String> tokenList = FileTools.readList(FileTools.getTestResourcesFilePath("Login-TOKEN.txt"));
        return tokenList.get(0);
    }

    /**
     * 用户登录
     *
     * @return Token
     * @throws IOException
     */
    private static String login(String host) throws IOException {
        Map<String, String> params = new HashMap<>();
        // 15757876459
//        params.put("account", "15757876459");
//        params.put("password", "e10adc3949ba59abbe56e057f20f883e");

        // 18158183582
        params.put("account", "18158183582");
        params.put("password", "e10adc3949ba59abbe56e057f20f883e");

        Map<String, String> headers = new HashMap<>();
        headers.put("pkg", XyHttpTools.getAdminPkg(""));
        headers.put("Type", "application%2Fx-www-form-urlencoded%3B%20charset%3Dutf-8");

        String res = OkHttpTools.post(host += "api-channel/v1/admin/login", params, headers);
        log.info("管理后台登陆 {}", host);
        log.info(res);

        JSONObject json = JSONObject.parseObject(res);

        return json.getJSONObject("data").getString("token");
    }
}
