package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/12/8 17:15
 */
public class ActivityAnniversaryImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
    }


    @Test
    public void getFlowerRoomRankTest() throws IOException {
        String action = "api-app/v1/activity/getFlowerRoomRank";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", "545372422275072");
        //param.put("activityId","536660886421504");
//        param.put("roomId","418697546039301");
        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getFlowerRoomRankInfoTest() throws IOException {
        String action = "api-app/v1/activity/getFlowerRoomRankInfo";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", "536660886421504");
        param.put("roomId", "418697546039301");
        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getMyselfFlowerRoomRankTest() throws IOException {
        String action = "api-app/v1/activity/getMyselfFlowerRoomRank";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", "536660886421504");
        param.put("roomId", "418697546039301");
        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getInfluentialRankInfoTest() throws IOException {
        String action = "api-app/v1/activity/getInfluentialRankInfo";
        Map<String, String> param = new HashMap<>();

        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }


    @Test
    public void getActivityInfoTest() throws IOException {
        String action = "api-app/v1/activity/getActivityInfo";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", "536192365887488");
        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getInfluentialRankTest() throws IOException {
        String action = "api-app/v1/activity/getInfluentialRank";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", "536192365887488");
        param.put("rankType", "4");
        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getMyInfluentialRankTest() throws IOException {
        String action = "api-app/v1/activity/getMyInfluentialRank";
        Map<String, String> param = new HashMap<>();

        String res = XyHttpTools.post(HOST, action, param);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void getRoomMsgTypesTest() throws IOException {
        String action = "api-app/v1/config/getRoomMsgTypes";
        Map<String, String> param = new HashMap<>();

        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }


    @Test
    public void getUserFollowNameTest() throws IOException {
        String action = "api-app/v1/feed/getUserFollowName";
        Map<String, String> param = new HashMap<>();

        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }
}
