package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/8/9 18:08
 */
public class ActivityBarrageImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    @Test
    public void sendBarrageTest() throws IOException {
        String action = "api-app/v1/activity/sendBarrage";
        Map<String, String> param = new HashMap<>();
        param.put("context", "你好啊");
        param.put("activityId", "10");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void getBarrageTest() throws IOException {
        String action = "api-app/v1/activity/getBarrage?activityId=448397312000000";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void createBradCastTest() throws IOException {
        String action = "api-app/v1/activity/createBradCast";
        Map<String, String> param = new HashMap<>();
        param.put("sendId", "9294409891890");
        param.put("receiveId", "9294409891892");
        param.put("giftRank", "388000");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void getLotteryByPropTest() throws IOException {
        String action = "api-app/v1/activity/getLotteryByProp?activityId=499131999059968";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }
}
