package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.junit.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/9/7 15:10
 */
public class ActivityFestivalServiceImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    private static Long activityId = 373033537634304L;


    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    @Test
    public void testGetMiddleAutumnFestivalDetail() throws IOException {
        String action = "api-app/v1/activity/getMiddleAutumnFestivalDetail?activityId=" + activityId;
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void testGetGiftOwnNum() throws IOException {
        String action = "api-app/v1/activity/getGiftOwnNum";
        Map<String, String> param = new HashMap<>();
        param.put("ids", "404967877771264,392612766810112,154937514262528");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void testComposeByFragment() throws IOException {
        String action = "api-app/v1/activity/composeByFragment";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", activityId.toString());
        param.put("bagItemId", "18dc04293910aa3c5cca00046d3178c7");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void testReceiveActivityReward() throws IOException {
        String action = "api-app/v1/activity/receiveActivityReward";
        Map<String, String> param = new HashMap<>();
        param.put("activityId", activityId.toString());
        param.put("collectId", "d8f6982397f2174626d54b5163532ca4");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }


    @Test
    public void testOctoberDetail() throws IOException {
        String action = "api-app/v1/activity/getOctoberDetail?activityId=482521959628800&lotteryActivityId=218484625637376&rankType=1";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void testOctoberRank() throws IOException {
        String action = "api-app/v1/activity/getOctoberRank?activityId=" + 482521959628800L + "&lotteryActivityIdId=218484625637376&rankType=1";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }
}
