package com.starbuds.server.api.app.v1.impl;

import cn.hutool.core.date.DateUtil;
import com.starbuds.login.AppLoginTest;
import com.starbuds.server.common.constant.feed.FeedTypeEnum;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.Assert;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.*;

public class FeedFacadeImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "15757876459");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testCreateFeed() throws IOException {
        String action = "api-app/v1/feed/createFeed";

        Map<String, String> params = new HashMap<>();
        params.put("feedType", "" + FeedTypeEnum.PHOTO.value());
        String url_pass = "http://a3.att.hudong.com/14/75/01300000164186121366756803686.jpg";
        String url_porn = "https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1593007201916&di=38a060b311e50b2a20c12626e69e3038&imgtype=0&src=http%3A%2F%2F01.minipic.eastday.com%2F20170523%2F20170523175755_c29d808f4357be2b791c11c114d6944a_6.jpeg";
        String url_porn1 = "https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1593007482348&di=fca463ab227c7258cea05e4ee43827b3&imgtype=0&src=http%3A%2F%2Fimg2.imgtn.bdimg.com%2Fit%2Fu%3D2438745362%2C53793783%26fm%3D214%26gp%3D0.jpg";
        // 恐怖
        String url_terrorism = "https://ss1.bdstatic.com/70cFvXSh_Q1YnxGkpoWK1HF6hhy/it/u=1601781658,3057862363&fm=26&gp=0.jpg";
        String url_terrorism1 = "https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1593007662755&di=1a2802f408448c763c60d6bc925f8fcc&imgtype=0&src=http%3A%2F%2Fnews.lvyou168.cn%2Fdoc_images%2F4%252895%2529.jpg";
        String url_terrorism2 = "https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3200253605,2122533759&fm=26&gp=0.jpg";
        String url_ad = "http://user.qn.panygo.com/cover/9294409891907/1590657816690.png";
        String url_logo = "porn";

        // 政治
        String url_zhengzhi = "https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1593007835125&di=d541ab59c71ffbe8d99a82dc5d0702f6&imgtype=0&src=http%3A%2F%2Fd.ifengimg.com%2Fw600%2Fp0.ifengimg.com%2Fpmop%2F2018%2F0809%2F02828E374E63CF141F88FF3F4E9A4B36CBEDF1F4_size53_w919_h516.jpeg";

        String url = "http://feed.qn.paqukeji.com/image/110603117002752/1593426360528.png";
        params.put("url", url);
        params.put("feedTitle", DateUtil.now() + "自动审核测试");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);

        /*params = new HashMap<>();
        params.put("feedType", "" + FeedTypeEnum.VIDEO.value());
        params.put("url", "http://feed.qn.panygo.com/video/9294409891901/1590661251750.mp4");
        params.put("feedTitle", "视频内容测试 " + DateUtil.now());
        params.put("feedCover", "http://img4.imgtn.bdimg.com/it/u=2446832034,725990104&fm=26&gp=0.jpg");
        params.put("feedContent", "feedContent");
        params.put("feedLongitude", "1.0");
        params.put("feedLatitude", "0.1");
        params.put("feedPosName", "一天的");
        res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);*/
    }

    @Test
    public void getVideoListGuestTest() throws IOException {
        String action = String.format("api-app/v1/feed/getVideoListGuest?lastId=%d&userId=%d", 130260125351936L, 9294409891907L);
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void getFeedDetailGuestTest() throws IOException {
        String action = String.format("api-app/v1/feed/getFeedDetailGuest?feedId=%d", 130992954146817L);
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);

        action = String.format("api-app/v1/feed/getFeedDetailGuest?feedId=%d", 1L);
        res = XyHttpTools.get(HOST, action);
        checkFail(res);
    }

    @Test
    public void getFeedDetailTest() throws IOException {
        String action = String.format("api-app/v1/feed/getFeedDetail?feedId=%d", 130992954146817L);
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);

        // 审核未通过，不能分享
        action = String.format("api-app/v1/feed/getFeedDetail?feedId=%d", 129464088395776L);
        res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
        Assert.assertEquals(getData(res).getJSONObject("shareParam"), null);

        action = String.format("api-app/v1/feed/getFeedDetail?feedId=%d", 1L);
        res = XyHttpTools.get(HOST, action);
        checkFail(res);
    }

}