package com.starbuds.server.api.app.v1.impl;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSONObject;
import com.starbuds.login.AppLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import lombok.extern.slf4j.Slf4j;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;
import static com.starbuds.test.utils.XyResultTools.getData;

/**
 * @author aoe
 * @date 2020/6/12
 * 如何在Ubuntu 18.04上安装和使用FFmpeg https://www.myfreax.com/how-to-install-ffmpeg-on-ubuntu-18-04/
 * Installing FFmpeg https://github.com/adaptlearning/adapt_authoring/wiki/Installing-FFmpeg
 * <p>
 * ffmpeg 安装 https://blog.csdn.net/qq_34321710/article/details/103984284
 * <p>
 * pgrep ffmpeg | xargs kill -s 9
 * ps -ef | grep ffmpeg | awk '{print $2}' | xargs kill -9
 */
@Slf4j
public class LiveFacadeImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "15757876459");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void startLiveTest() throws IOException {
        String action = "api-app/v1/live/startLive";

        Map<String, String> params = new HashMap<>();
        params.put("liveTitle", "欢迎来到我的直播间 (*^▽^*)");
        params.put("categoryId", "5");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
        JSONObject data = getData(res);
        String pushUrl = data.getString("pushUrl");
        String liveHisId = data.getString("liveHisId");

        String video = "/home/xy/video/2.ts";
//        String command = StrUtil.format("/usr/local/ffmpeg/bin/ffmpeg -re -analyzeduration 8000 -probesize 200000 -stream_loop -1 -i {} -strict -2 -bsf:a aac_adtstoasc -c copy -flvflags aac_seq_header_detect -f flv \"{}\"", "/home/xy/video/3.ts", pushUrl);
//        String command1 = StrUtil.format("/usr/local/ffmpeg/bin/ffmpeg -re -i {} -vcodec copy -f flv \"{}\"", video, pushUrl);
//        String command2 = StrUtil.format("/usr/local/ffmpeg/bin/ffmpeg -i {} -vcodec copy -an -f flv \"{}\"", video, pushUrl);
//        String command3 = StrUtil.format("/usr/local/ffmpeg/bin/ffmpeg -i {} -vcodec copy -flvflags aac_seq_header_detect -an -f flv \"{}\"", video, pushUrl);
        String command4 = StrUtil.format("/usr/local/ffmpeg/bin/ffmpeg -re -stream_loop -1 -i {} -acodec copy -vcodec copy -f flv \"{}\"", video, pushUrl);
        String command5 = StrUtil.format("./push_video.sh {} {}", video, pushUrl);

        log.info("推流id = {} \n", liveHisId);
//        log.info("command 1 \n {} \n", command1);
//        log.info("command 2 \n {} \n", command2);
//        log.info("command 3 \n {} \n", command3);
        log.info("command 4 \n {} \n", command4);
        log.info("command 5 \n {} \n", command5);
    }

    @Test
    public void stopLiveTest() throws IOException {
        String action = "api-app/v1/live/stopLive";

        Map<String, String> params = new HashMap<>();
        params.put("liveHisId", "141281363755009");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }
}
