package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

public class RtcFacadeV2ImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    // 召集粉丝
    @Test
    public void transPinkToDiamond() throws IOException {
        String action = "api-app/v1/rtc/conveneFans";
        Map<String, String> params = new HashMap<>();
        params.put("roomId", "170039449747456");
        String res = XyHttpTools.post(HOST, action, params);
        checkSuccess(res);
    }

    // 在线用户
    @Test
    public void getOnlineUser() throws IOException {
        String action = "api-app/v1/rtc/getOnlineUser";
        action += "?roomId=170039449747456";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    // 在线用户-贵族
    @Test
    public void getOnlineUserNoble() throws IOException {
        String action = "api-app/v1/rtc/getOnlineUserNoble";
        action += "?roomId=170039449747456";
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }
}