package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/8/17 16:34
 */
public class SignInFacadeImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }

    @Test
    public void testLogin() {
        userService.login("13685756236");
    }

    @Test
    public void getSignInConfigTest() throws IOException {
        String action = "api-app/v1/user/getSignInConfig";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void signInTest() throws IOException {
        String action = "api-app/v1/user/signIn";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.get(HOST, action);
        checkSuccess(res);
    }

    @Test
    public void signInToast() throws IOException {
        String action = "api-app/v1/user/addSignInToastHis";
        Map<String, String> param = new HashMap<>();
        param.put("index", "1");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }
}
