package com.starbuds.server.api.app.v1.impl;

import com.starbuds.login.AppLoginTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/11/16 11:15
 */
public class SquareFeedImplTest {

    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;

        try {
            AppLoginTest.saveLoginToken(HOST, "15757876459");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testGetSquareList() throws Exception {
        String action = "api-app/v1/feed/getSquareFeedList?pageNum=1&pageSize=15";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void testGetFeedDetail() throws Exception {
        String action = "api-app/v1/feed/getFeedDetail?feedId=5250671506882561";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void testGetMineList() throws Exception {
        String action = "api-app/v1/feed/getFeedByDatePageList?pageNum=1&pageSize=15&userId=92944098919071";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }

    @Test
    public void testThumbsUp() throws Exception {
        String action = "api-app/v1/feed/thumbsUp?feedId=518789988876288";
        String res = XyHttpTools.get(HOST, action);
        System.out.println(res);
        checkSuccess(res);
    }

}
