package com.starbuds.server.api.app.v1.impl;

import com.starbuds.server.api.app.util.UserServiceTest;
import com.starbuds.test.utils.XyHttpTools;
import org.testng.annotations.Test;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static com.starbuds.test.utils.XyHttpTools.HOST_DEV;
import static com.starbuds.test.utils.XyHttpTools.HOST_TEST_ALY_APP;
import static com.starbuds.test.utils.XyResultTools.checkSuccess;

/**
 * @Author: lujiao
 * @Date: 2021/7/27 15:55
 */
public class WatchFacadeImplTest {

    private static UserServiceTest userService;
    private static String HOST = HOST_DEV;

    static {
        HOST = HOST_TEST_ALY_APP;
        userService = new UserServiceTest(HOST);
    }


    @Test
    public void getWatchConfigListTest() throws IOException {
        String action = "api-app/v1/watch/getWatchConfigList";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void getWatchConfigListWithRelationTest() throws IOException {
        String action = "api-app/v1/watch/getWatchConfigWithRelation";
        Map<String, String> param = new HashMap<>();
        param.put("targetId", "418663664451584");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 测试开通
    @Test
    public void newWatchRelationByDiamondTest() throws IOException {
        String action = "api-app/v1/watch/newWatchRelationByDiamond";
        Map<String, String> param = new HashMap<>();
        param.put("targetId", "418663664451584");
        param.put("watchConfigId", "12");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 测试获取即将过期守护
    @Test
    public void getLimitWatchTest() throws IOException {
        String action = "api-app/v1/watch/getLimitWatch";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 测试获取守护列表
    @Test
    public void getUserWatchRelationTest() throws IOException {
        String action = "api-app/v1/watch/getUserWatchRelation";
        Map<String, String> param = new HashMap<>();
        param.put("targetUserId", "418663664451584");
        param.put("pageIndex", "1");
        param.put("pageSize", "20");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 测试陪伴榜单
    @Test
    public void getIntimacyRankTest() throws IOException {
        String action = "api-app/v1/watch/getIntimacyRank";
        Map<String, String> param = new HashMap<>();
        param.put("targetUserId", "418663664451584");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 测试获取历史胜利者
    @Test
    public void getHistoryWinnerTest() throws IOException {
        String action = "api-app/v1/watch/getHistoryWinner";
        Map<String, String> param = new HashMap<>();
        param.put("pageIndex", "1");
        param.put("pageSize", "10");
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 获取上周排行
    @Test
    public void getLastWeekTopWatchIntimacyTest() throws IOException {
        String action = "api-app/v1/watch/getLastWeekTopWatchIntimacy";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    @Test
    public void getLastWeekTopWinnerTest() throws IOException {
        String action = "api-app/v1/watch/getLastWeekWinner";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }

    // 获取本周排行
    @Test
    public void getWeekTopWatchIntimacyTest() throws IOException {
        String action = "api-app/v1/watch/getWeekTopWatchIntimacy";
        Map<String, String> param = new HashMap<>();
        String res = XyHttpTools.post(HOST, action, param);
        checkSuccess(res);
    }
}
