package com.starbuds.server.common.pojo.util;


import com.starbuds.server.common.pojo.api.PageList;
import org.testng.Assert;
import org.testng.annotations.Test;

import static com.starbuds.server.common.pojo.util.PageListUtil.nextPage;

public class PageListUtilTest {

    @Test
    public void nextPageTest() {
        PageList pageList = new PageList();
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(1, 2, 0);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(1, 2, 3);
        Assert.assertEquals(nextPage(pageList), Integer.valueOf(2));

        pageList = getPageList(2, 2, 3);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(1, 50, 0);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(2, 50, 0);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(1, 50, 100);
        Assert.assertEquals(nextPage(pageList), Integer.valueOf(2));

        pageList = getPageList(2, 50, 100);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(Integer.MAX_VALUE, 50, 100);
        Assert.assertEquals(nextPage(pageList), null);

        pageList = getPageList(2, 50, 149);
        Assert.assertEquals(nextPage(pageList), Integer.valueOf(3));

        pageList = getPageList(2, 50, 101);
        Assert.assertEquals(nextPage(pageList), Integer.valueOf(3));

        pageList = getPageList(3, 50, 101);
        Assert.assertEquals(nextPage(pageList), null);
    }

    private PageList getPageList(int pageIndex, int pageSize, int total) {
        PageList pageList = new PageList();
        pageList.setPageIndex(pageIndex);
        pageList.setPageSize(pageSize);
        pageList.setTotal(total);
        return pageList;
    }
}