package com.starbuds.test.utils;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.testng.Assert;

import java.util.Map;

/**
 * @author aoe
 * @date 2020/5/20
 */
public class XyResultTools {

    private final static String KEY_DATA = "data";

    private final static String KEY_MSG = "msg";

    private final static String KEY_CODE = "code";

    private final static String KEY_SUCCESS = "success";

    public static JSONObject getData(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getJSONObject(KEY_DATA);
    }

    public static JSONArray getData2Array(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getJSONArray(KEY_DATA);
    }

    public static String getDataStr(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_DATA);
    }

    public static String getMsg(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_MSG);
    }

    public static String getCode(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getString(KEY_CODE);
    }

    public static boolean getSuccess(String res) {
        JSONObject json = JSONObject.parseObject(res);
        return json.getBoolean(KEY_SUCCESS);
    }

    public static void checkSuccess(String res) {
        Assert.assertEquals(getCode(res), "OK");
    }

    public static void checkFail(String res) {
        Assert.assertEquals(getCode(res), "BAD_REQUEST");
    }

    public static void checkOperationFailed(String res) {
        Assert.assertEquals(getCode(res), "OPERATION_FAILED");
    }

    public static String getParamStr(Map<String, String> params) {
        int i = 0;
        String paramsStr = "?";
        for (Map.Entry<String, String> entry : params.entrySet()) {
            if (i++ > 0) {
                paramsStr += "&";
            }
            paramsStr += entry.getKey() + "=" + entry.getValue();
        }
        return paramsStr;
    }
}
